WebRTC Code Reviews
Help | Chromium Project | Sign in
(11542)

Issue 34789004: Update StreamDataCounter with FEC bytes. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 7 months ago by asapersson
Modified:
4 years, 6 months ago
Reviewers:
holmer, Stefan, mflodman
CC:
webrtc-reviews_webrtc.org, interface-changes_webrtc.org, rwolff_gocast.it, yujie.mao, ajm, Stefan, tterriberry, qiang.lu, Niklas, andresp-webrtc, perkj, mflodman
Base URL:
http://webrtc.googlecode.com/svn/trunk/
Project:
webrtc
Visibility:
Public.

Description

Update StreamDataCounter with FEC bytes. Add histograms stats for send/receive FEC bitrate: - "WebRTC.Video.FecBitrateReceivedInKbps" - "WebRTC.Video.FecBitrateSentInKbps" Correct media payload bytes in StreamDataCounter to not include FEC bytes. Fix stats for rtcp packets sent/received per minute (regression from r7910). BUG=crbug/419657 R=holmer@google.com, mflodman@webrtc.org Committed: https://code.google.com/p/webrtc/source/detail?r=8164

Patch Set 1 : #

Total comments: 5

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+67 lines, -25 lines) Patch
M webrtc/common_types.h View 1 1 chunk +4 lines, -4 lines 0 comments Download
M webrtc/modules/rtp_rtcp/interface/receive_statistics.h View 1 2 chunks +4 lines, -2 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/receive_statistics_impl.h View 1 2 chunks +3 lines, -2 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc View 1 3 chunks +12 lines, -5 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/receive_statistics_unittest.cc View 1 4 chunks +15 lines, -5 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_sender.cc View 1 1 chunk +4 lines, -0 lines 0 comments Download
M webrtc/video_engine/vie_channel.cc View 1 4 chunks +18 lines, -6 lines 0 comments Download
M webrtc/video_engine/vie_receiver.h View 1 1 chunk +2 lines, -0 lines 0 comments Download
M webrtc/video_engine/vie_receiver.cc View 1 2 2 chunks +5 lines, -1 line 0 comments Download
Trybot results:
Project "webrtc" does not have a commit queue.

Messages

Total messages: 7 (0 generated)
asapersson
4 years, 7 months ago (2015-01-23 14:16:10 UTC) #1
holmer
https://webrtc-codereview.appspot.com/34789004/diff/140001/webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc File webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc (right): https://webrtc-codereview.appspot.com/34789004/diff/140001/webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc#newcode211 webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc:211: receive_counters_.fec.padding_bytes += header.paddingLength; Maybe we should extend the counter ...
4 years, 6 months ago (2015-01-27 10:29:07 UTC) #2
asapersson
https://webrtc-codereview.appspot.com/34789004/diff/140001/webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc File webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc (right): https://webrtc-codereview.appspot.com/34789004/diff/140001/webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc#newcode211 webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc:211: receive_counters_.fec.padding_bytes += header.paddingLength; On 2015/01/27 10:29:07, holmer wrote: > ...
4 years, 6 months ago (2015-01-27 11:02:12 UTC) #3
holmer
lgtm https://webrtc-codereview.appspot.com/34789004/diff/140001/webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc File webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc (right): https://webrtc-codereview.appspot.com/34789004/diff/140001/webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc#newcode211 webrtc/modules/rtp_rtcp/source/receive_statistics_impl.cc:211: receive_counters_.fec.padding_bytes += header.paddingLength; On 2015/01/27 11:02:12, asapersson wrote: ...
4 years, 6 months ago (2015-01-27 11:31:16 UTC) #4
mflodman
One comment, then LGTM. https://webrtc-codereview.appspot.com/34789004/diff/160001/webrtc/video_engine/vie_receiver.cc File webrtc/video_engine/vie_receiver.cc (right): https://webrtc-codereview.appspot.com/34789004/diff/160001/webrtc/video_engine/vie_receiver.cc#newcode133 webrtc/video_engine/vie_receiver.cc:133: return rtp_payload_registry_->ulpfec_payload_type() >= 0; I ...
4 years, 6 months ago (2015-01-27 12:08:39 UTC) #5
asapersson
https://webrtc-codereview.appspot.com/34789004/diff/160001/webrtc/video_engine/vie_receiver.cc File webrtc/video_engine/vie_receiver.cc (right): https://webrtc-codereview.appspot.com/34789004/diff/160001/webrtc/video_engine/vie_receiver.cc#newcode133 webrtc/video_engine/vie_receiver.cc:133: return rtp_payload_registry_->ulpfec_payload_type() >= 0; On 2015/01/27 12:08:39, mflodman wrote: ...
4 years, 6 months ago (2015-01-27 12:10:05 UTC) #6
asapersson
4 years, 6 months ago (2015-01-27 12:17:36 UTC) #7
Message was sent while issue was closed.
Committed patchset #3 (id:180001) manually as r8164 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 245c2c2-tainted